%define upstream_name    CGI-Cookie-Splitter
%define upstream_version 0.05

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 3

Summary:    Split big cookies into smaller ones
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/CGI/%{upstream_name}-%{upstream_version}.tar.gz
# Fix the tests due to https://rt.cpan.org/Ticket/Display.html?id=81612

BuildRequires: perl(CGI::Simple::Util)
BuildRequires: perl(Carp)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(File::Spec::Functions)
BuildRequires: perl(List::Util)
BuildRequires: perl(Module::Build::Tiny) >= 0.34.0
BuildRequires: perl(Scalar::Util)
BuildRequires: perl(Test::More)
BuildRequires: perl(namespace::clean)
BuildRequires: perl(ok)
BuildRequires: perl(strict)
BuildRequires: perl(version)
BuildRequires: perl(warnings)
BuildArch:  noarch

%description
RFC 2109 reccomends that the minimal cookie size supported by the client is
4096 bytes. This has become a pretty standard value, and if your server
sends larger cookies than that it's considered a no-no.

This module provides a pretty simple interface to generate small cookies
that are under a certain limit, without wasting too much effort.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor

%make

%check
%make test

%install
%make_install

%files
%doc CONTRIBUTING Changes INSTALL LICENSE META.json META.yml MYMETA.yml README
%{_mandir}/man3/*
%{perl_vendorlib}/*


%changelog
* Sat Jun 18 2016 pterjan <pterjan> 0.50.0-3.mga6
+ Revision: 1023437
- Rebuild for perl 5.22.2

* Fri Feb 19 2016 umeabot <umeabot> 0.50.0-2.mga6
+ Revision: 969338
- Mageia 6 Mass Rebuild

* Sun Aug 23 2015 sander85 <sander85> 0.50.0-1.mga6
+ Revision: 868324
- update to 0.05

* Wed Oct 15 2014 umeabot <umeabot> 0.40.0-3.mga5
+ Revision: 742336
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.40.0-2.mga5
+ Revision: 683639
- Mageia 5 Mass Rebuild

* Mon Feb 24 2014 jquelin <jquelin> 0.40.0-1.mga5
+ Revision: 596232
- update to 0.04

* Fri Feb 07 2014 shlomif <shlomif> 0.30.0-1.mga5
+ Revision: 585016
- New ver 0.03 (patch no longer needed)

* Mon Jan 20 2014 shlomif <shlomif> 0.20.0-4.mga4
+ Revision: 567263
- Remove a stray file in lib.
- Add a patch to fix the tests in newer perls due to build failures.
  See https://rt.cpan.org/Ticket/Display.html?id=81612 .

  + umeabot <umeabot>
    - Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0.20.0-2.mga3
+ Revision: 363528
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Jun 21 2011 jquelin <jquelin> 0.20.0-1.mga2
+ Revision: 111373
- imported package perl-CGI-Cookie-Splitter


* Tue Jun 21 2011 cpan2dist 0.02-1mga
- initial mageia release, generated with cpan2dist
